Debian Bug report logs - #577340
libnet-ldap-perl: Modification of a read-only value attempted at Net::LDAP::Constants line 13

version graph

Package: libnet-ldap-perl; Maintainer for libnet-ldap-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnet-ldap-perl is src:libnet-ldap-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 11 Apr 2010 08:29:51 UTC

Severity: serious

Tags: confirmed, patch, sid

Found in version libnet-ldap-perl/1:0.4001-1

Fixed in version libnet-ldap-perl/1:0.4001-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=56726

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Xavier Guimard <x.guimard@free.fr>:
Bug#577340; Package src:lemonldap-ng. (Sun, 11 Apr 2010 08:29:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Xavier Guimard <x.guimard@free.fr>. (Sun, 11 Apr 2010 08:29:54 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: lemonldap-ng: FTBFS: tests failed
Date: Sun, 11 Apr 2010 10:06:49 +0200
Source: lemonldap-ng
Version: 0.9.4.1-3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100410 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal'
> PERL_DL_NONLAZY=1 /usr/bin/perl -I../lemonldap-ng-common/blib/lib/ -I../lemonldap-ng-handler/blib/lib/ "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> Use of uninitialized value in length at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_WebForm.pm line 27, <DATA> line 522.
> Use of uninitialized value in length at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_WebForm.pm line 27, <DATA> line 522.
> t/01-Lemonldap-NG-Portal-Simple.t ...... ok
> t/02-Lemonldap-NG-Portal-SharedConf.t .. ok
> My::Portal error: Configuration error, Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 19) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> Compilation failed in require at (eval 18) line 3.
> 
> # Looks like you planned 16 tests but ran 1.
> t/03-XSS-protection.t .................. 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 15/16 subtests 
> Lemonldap::NG::Portal::Simple error: Configuration error, Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 98) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> Compilation failed in require at (eval 97) line 3.
> 
> # Looks like you planned 2 tests but ran 1.
> t/04-Lemonldap-NG-Portal-SOAP.t ........ 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 1/2 subtests 
> t/10-Lemonldap-NG-Portal-i18n.t ........ ok
> Lemonldap::NG::Portal::Simple error: Configuration error, Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 20) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/UserDBLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/UserDBLDAP.pm line 9.
> Compilation failed in require at (eval 19) line 3.
> 
> # Looks like you planned 2 tests but ran 1.
> t/20-Lemonldap-NG-Portal-AuthApache.t .. 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 1/2 subtests 
> Lemonldap::NG::Portal::Simple error: Configuration error, Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 19) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthSSL.pm line 10.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthSSL.pm line 10.
> Compilation failed in require at (eval 18) line 3.
> 
> # Looks like you planned 2 tests but ran 1.
> t/21-Lemonldap-NG-Portal-AuthSSL.t ..... 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 1/2 subtests 
> t/22-Lemonldap-NG-Portal-AuthCAS.t ..... ok
> t/23-Lemonldap-NG-Portal-AuthLA.t ...... ok
> Configuration error Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 20) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/UserDBLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/UserDBLDAP.pm line 9.
> Compilation failed in require at (eval 19) line 3.
> Configuration error Attempt to reload Lemonldap/NG/Portal/_LDAP.pm aborted.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/PasswordDBLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/PasswordDBLDAP.pm line 9.
> Compilation failed in require at (eval 23) line 3.
> t/24-Lemonldap-NG-Portal-AuthRemote.t .. ok
> Undefined subroutine My::Portal::passwordDBInit
>  at /usr/share/perl/5.10/CGI.pm line 867
> 	CGI::_compile called at /usr/share/perl/5.10/CGI.pm line 831
> 	CGI::AUTOLOAD('My::Portal=HASH(0x271aae0)') called at ../lemonldap-ng-common/blib/lib//Lemonldap/NG/Common/CGI.pm line 286
> 	Lemonldap::NG::Common::CGI::_sub('My::Portal=HASH(0x271aae0)', 'passwordDBInit') called at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/Simple.pm line 425
> 	Lemonldap::NG::Portal::Simple::_subProcess('My::Portal=HASH(0x271aae0)', 'controlUrlOrigin', 'checkNotifBack', 'controlExistingSession', 'SAMLForUnAuthUser', 'authInit', 'extractFormInfo', 'userDBInit', 'getUser', ...) called at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/Simple.pm line 557
> 	Lemonldap::NG::Portal::Simple::process('My::Portal=HASH(0x271aae0)') called at t/25-Lemonldap-NG-Portal-Multi.t line 93
> # Looks like you planned 13 tests but ran 2.
> # Looks like your test exited with 9 just after 2.
> t/25-Lemonldap-NG-Portal-Multi.t ....... 
> Dubious, test returned 9 (wstat 2304, 0x900)
> Failed 11/13 subtests 
> t/30-Lemonldap-NG-Portal-UserDBNull.t .. ok
> My::Portal error: Configuration error, Modification of a read-only value attempted at /usr/share/perl5/Net/LDAP/Constant.pm line 13.
> Compilation failed in require at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP/Message.pm line 7.
> Compilation failed in require at /usr/share/perl5/Net/LDAP.pm line 13.
> BEGIN failed--compilation aborted at /usr/share/perl5/Net/LDAP.pm line 13.
> Compilation failed in require at (eval 19) line 3.
> 	...propagated at /usr/share/perl/5.10/base.pm line 93.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/_LDAP.pm line 10.
> Compilation failed in require at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> BEGIN failed--compilation aborted at /build/user-lemonldap-ng_0.9.4.1-3-amd64-KoLweE/lemonldap-ng-0.9.4.1/lemonldap-ng-portal/blib/lib/Lemonldap/NG/Portal/AuthLDAP.pm line 9.
> Compilation failed in require at (eval 18) line 3.
> 
> # Looks like you planned 3 tests but ran 1.
> t/40-Lemonldap-NG-Portal-CDA.t ......... 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 2/3 subtests 
> t/50-Lemonldap-NG-Portal-Menu.t ........ ok
> t/99-pod.t ............................. skipped: Test::Pod 1.00 required for testing POD
> 
> Test Summary Report
> -------------------
> t/03-XSS-protection.t                (Wstat: 65280 Tests: 1 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 16 tests but ran 1.
> t/04-Lemonldap-NG-Portal-SOAP.t      (Wstat: 65280 Tests: 1 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 2 tests but ran 1.
> t/20-Lemonldap-NG-Portal-AuthApache.t (Wstat: 65280 Tests: 1 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 2 tests but ran 1.
> t/21-Lemonldap-NG-Portal-AuthSSL.t   (Wstat: 65280 Tests: 1 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 2 tests but ran 1.
> t/25-Lemonldap-NG-Portal-Multi.t     (Wstat: 2304 Tests: 2 Failed: 0)
>   Non-zero exit status: 9
>   Parse errors: Bad plan.  You planned 13 tests but ran 2.
> t/40-Lemonldap-NG-Portal-CDA.t       (Wstat: 65280 Tests: 1 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 3 tests but ran 1.
> Files=15, Tests=38,  2 wallclock secs ( 0.06 usr  0.01 sys +  1.33 cusr  0.14 csys =  1.54 CPU)
> Result: FAIL
> Failed 6/15 test programs. 0/38 subtests failed.
> make[2]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/04/10/lemonldap-ng_0.9.4.1-3_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Guimard <x.guimard@free.fr>:
Bug#577340; Package src:lemonldap-ng. (Mon, 12 Apr 2010 16:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier <x.guimard@free.fr>:
Extra info received and forwarded to list. Copy sent to Xavier Guimard <x.guimard@free.fr>. (Mon, 12 Apr 2010 16:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 577340@bugs.debian.org (full text, mbox):

From: Xavier <x.guimard@free.fr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 577340@bugs.debian.org
Subject: Re: Bug#577340: lemonldap-ng: FTBFS: tests failed
Date: Mon, 12 Apr 2010 18:00:13 +0200 (CEST)
----- "Lucas Nussbaum" <lucas@lucas-nussbaum.net> a écrit :
> Source: lemonldap-ng
> Version: 0.9.4.1-3
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100410 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build
> on
> amd64.

Hi,

it's a Net::LDAP bug, not Lemonldap::NG one

Best regards,
Xavier




Bug reassigned from package 'src:lemonldap-ng' to 'libnet-ldap-perl'. Request was from Xavier Guimard <x.guimard@free.fr> to control@bugs.debian.org. (Tue, 13 Apr 2010 05:21:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lemonldap-ng/0.9.4.1-3. Request was from Xavier Guimard <x.guimard@free.fr> to control@bugs.debian.org. (Tue, 13 Apr 2010 05:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577340; Package libnet-ldap-perl. (Tue, 13 Apr 2010 21:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 577340@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 577340@bugs.debian.org
Cc: Xavier Guimard <x.guimard@free.fr>
Subject: Bug in Net-LDAP causing FTBFS in lemonldap-ng [was: Processed: reassign]
Date: Wed, 14 Apr 2010 00:30:50 +0300
[Message part 1 (text/plain, inline)]
found 577340 1:0.4001-1
tags 577340 confirmed -squeeze
affects 577340 lemonldap-ng
retitle 577340 libnet-ldap-perl: Modification of a read-only value attempted at Net::LDAP::Constants line 13
thanks

-=| Debian Bug Tracking System, Tue, Apr 13, 2010 at 05:21:07AM +0000 |=-
> Processing commands for control@bugs.debian.org:
> 
> > reassign 577340 libnet-ldap-perl
> Bug #577340 [src:lemonldap-ng] lemonldap-ng: FTBFS: tests failed
> Bug reassigned from package 'src:lemonldap-ng' to 'libnet-ldap-perl'.

A bit of explaination would have been nice :/

After some bouncing of ideas on IRC, it appears the bug is really in 
Net-LDAP, but only lemonldap-ng's test suite manages to trigger it.

The read-only value in question is $_, which is aliased to a constant. 
Thanks to the world-dominating search engine, we have found this 
educational link[1]

    [1] http://www.perlmonks.org/?node_id=570712#default_unlocalized

In essence, this doesn't work:

    perl -we'for(1,2) { require Net::LDAP }'

How lemonldap-ng's test suite manages to alias $_ to a constant is not 
yet known, but the details are not important. The above code sould 
work even if it looks weird.

My proposal is to patch Constants.pm to use

    local $_;
    while(<DATA>) { ... }

instead of

    while(<DATA>) { ... }

Any objections?
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions libnet-ldap-perl/1:0.4001-1. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 21:33:09 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 21:33:10 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 21:33:11 GMT) Full text and rfc822 format available.

Added indication that 577340 affects lemonldap-ng Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 21:33:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'libnet-ldap-perl: Modification of a read-only value attempted at Net::LDAP::Constants line 13' from 'lemonldap-ng: FTBFS: tests failed' Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 21:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577340; Package libnet-ldap-perl. (Wed, 14 Apr 2010 05:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier <x.guimard@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Apr 2010 05:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 577340@bugs.debian.org (full text, mbox):

From: Xavier <x.guimard@free.fr>
To: 577340 <577340@bugs.debian.org>
Subject: [lemonldap-ng-dev] Re: Bug in Net-LDAP causing FTBFS in lemonldap-ng [was: Processed: reassign]
Date: Wed, 14 Apr 2010 07:44:23 +0200 (CEST)
----- "Damyan Ivanov" <dmn@debian.org> wrote :
> ...
> A bit of explaination would have been nice :/

Hi,

sorry, it was the first time I use "reassign"

> After some bouncing of ideas on IRC, it appears the bug is really in 
> Net-LDAP, but only lemonldap-ng's test suite manages to trigger it.
> 
> The read-only value in question is $_, which is aliased to a constant.
> 
> Thanks to the world-dominating search engine, we have found this 
> educational link[1]
> 
>     [1] http://www.perlmonks.org/?node_id=570712#default_unlocalized
> 
> In essence, this doesn't work:
> 
>     perl -we'for(1,2) { require Net::LDAP }'
> 
> How lemonldap-ng's test suite manages to alias $_ to a constant is not
> yet known, but the details are not important. The above code sould 
> work even if it looks weird.

Lemonldap::NG loads 2 modules (following the configuration): "authentication" and "userDB" in a loop where $_ points to one of those words (as a constant). In the test which failed, both inherits from Lemonldap::NG::Portal::_LDAP which contains "use Net::LDAP".

> My proposal is to patch Constants.pm to use
> 
>     local $_;
>     while(<DATA>) { ... }
> 
> instead of
> 
>     while(<DATA>) { ... }
> 
> Any objections?

Lemonldap::NG use this feature for a long time, and it has been tested many times on the CPAN (http://www.cpantesters.org/distro/L/Lemonldap-NG-Portal.html), and today only 1 Debian amd64 test has failed. I don't understand why...

Best regards,
Xavier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577340; Package libnet-ldap-perl. (Wed, 14 Apr 2010 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 14 Apr 2010 06:24:04 GMT) Full text and rfc822 format available.

Message #37 received at 577340@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Xavier <x.guimard@free.fr>, 577340@bugs.debian.org
Subject: Re: Bug#577340: [lemonldap-ng-dev] Re: Bug in Net-LDAP causing FTBFS in lemonldap-ng [was: Processed: reassign]
Date: Wed, 14 Apr 2010 08:21:48 +0200
On Wed, 14 Apr 2010 07:44:23 +0200, Xavier wrote:

> Lemonldap::NG use this feature for a long time, and it has been
> tested many times on the CPAN
> (http://www.cpantesters.org/distro/L/Lemonldap-NG-Portal.html), and
> today only 1 Debian amd64 test has failed. I don't understand
> why...

The last tests there seem to be from 4th March.
perl-ldap-0.4001 (and also -0.40), where Net::LDAP::Constant changed,
is younger than that.

So we have a change in libnet-ldap-perl that causes a FTBFS in
Lemonldap::NG; if there's a bug in perl-ldap or if Lemonldap::NG uses
it wrong is the good question; and of course how to fix it together :)

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    You're dead, Jim.  -- McCoy, "Amok Time", stardate 3372.7 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577340; Package libnet-ldap-perl. (Sat, 17 Apr 2010 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 17 Apr 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 577340@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 577340@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#577340: Bug in Net-LDAP causing FTBFS in lemonldap-ng [was: Processed: reassign]
Date: Sat, 17 Apr 2010 14:25:09 +0200
[Message part 1 (text/plain, inline)]
tag 577340 + patch
thanks

On Wed, 14 Apr 2010 00:30:50 +0300, Damyan Ivanov wrote:

> My proposal is to patch Constants.pm to use
> 
>     local $_;
>     while(<DATA>) { ... }
> 
> instead of
> 
>     while(<DATA>) { ... }
> 
> Any objections?

I'd say: go ahead.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Sting: If I ever loose my faith
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 12:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#577340; Package libnet-ldap-perl. (Mon, 19 Apr 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #47 received at 577340@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 577340@bugs.debian.org, 577340-submitter@bugs.debian.org
Subject: Bug in libnet-ldap-perl fixed in revision 56563
Date: Mon, 19 Apr 2010 20:47:03 +0000
tag 577340 + pending
thanks

Some bugs are closed in revision 56563
by Damyan Ivanov (dmn)

Commit message:

add localize-dollar_.patch, fixing using of non-localized $_ in
Net::LDAP::Constant, causing TBFS in lemonldap-ng (Closes: #577340)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 19 Apr 2010 20:51:05 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#577340. (Mon, 19 Apr 2010 20:51:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=56726'. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 21:21:12 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Mon, 19 Apr 2010 21:57:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 21:57:09 GMT) Full text and rfc822 format available.

Message #59 received at 577340-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 577340-close@bugs.debian.org
Subject: Bug#577340: fixed in libnet-ldap-perl 1:0.4001-2
Date: Mon, 19 Apr 2010 21:56:38 +0000
Source: libnet-ldap-perl
Source-Version: 1:0.4001-2

We believe that the bug you reported is fixed in the latest version of
libnet-ldap-perl, which is due to be installed in the Debian FTP archive:

libnet-ldap-perl_0.4001-2.debian.tar.gz
  to main/libn/libnet-ldap-perl/libnet-ldap-perl_0.4001-2.debian.tar.gz
libnet-ldap-perl_0.4001-2.dsc
  to main/libn/libnet-ldap-perl/libnet-ldap-perl_0.4001-2.dsc
libnet-ldap-perl_0.4001-2_all.deb
  to main/libn/libnet-ldap-perl/libnet-ldap-perl_0.4001-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libnet-ldap-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Apr 2010 23:54:25 +0300
Source: libnet-ldap-perl
Binary: libnet-ldap-perl
Architecture: source all
Version: 1:0.4001-2
Distribution: unstable
Urgency: high
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libnet-ldap-perl - client interface to LDAP servers
Closes: 577340
Changes: 
 libnet-ldap-perl (1:0.4001-2) unstable; urgency=high
 .
   * add localize-dollar_.patch, fixing using of non-localized $_ in
     Net::LDAP::Constant, causing FTBFS in lemonldap-ng (Closes: #577340)
Checksums-Sha1: 
 113f94a624c071550fdf20c764a476edf2cc30b3 2204 libnet-ldap-perl_0.4001-2.dsc
 3d0fe9e92b3f0dbfa77c8616f26328fee58ab975 7779 libnet-ldap-perl_0.4001-2.debian.tar.gz
 b5706a73d9bef4016b61898c90f31958bcf15599 374938 libnet-ldap-perl_0.4001-2_all.deb
Checksums-Sha256: 
 8e541d4970a8820a56952e5b56346f6112d1ac3540661b52606c972c152d1dd1 2204 libnet-ldap-perl_0.4001-2.dsc
 23867c0dba66441f894d4b259977654fec6d1b02e5cafd2d10b5d16f8f4cd307 7779 libnet-ldap-perl_0.4001-2.debian.tar.gz
 b02b29604920791a971da7aa532c51bd891f1204da422ad3de97eff648c97b2b 374938 libnet-ldap-perl_0.4001-2_all.deb
Files: 
 1bd6267b679d750ca5ebdcedc31219c0 2204 perl optional libnet-ldap-perl_0.4001-2.dsc
 18c1024c9beefe04e91669b4e8a1245c 7779 perl optional libnet-ldap-perl_0.4001-2.debian.tar.gz
 3aae01545d582d9bcea8cb04751a9718 374938 perl optional libnet-ldap-perl_0.4001-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLzMQxAAoJEOQbTFV/DYC+CCYP/0zTGcHvZf18fG+wznQ6UtQc
yXHZ2agG7+jwBhl0jWD3l594pJP4afG/sYLt/oEJm95Lyq0Pi9BCt/tl6YIL4cK7
32g162t2/kd+mlrcuQul6KAcYdLDpVSfD2taLq3NPcDslmgHf+UwvvPA9oVKyMDA
PCoQhRSsiGyVHX37+OwTK2TCsX/xSYlnqfOS7UqehZVvvC0WakWM0rb4pVIXAIfj
jknSq2WvCQevx2yxfobJ77qoXKqSl8bXmE/uNLAN099jCsK1ejX0++x569P8k6Yo
YIy9j3iint+f1VzEmP1j6MaDvb2QBFt3RBx59Vr3Tl91NRXoLSqjci8lt2X0HCDG
2wV0Qbds03xZ3N0rdLjLAr9gA5D5J6UvlrKSWF3QBAN68gjuCFPP7b6tq/XmyQuQ
O0NV8ii/YvqPZmp49VTnkzcjcbY5LYMnAlBrtkfBAfoqpqLtW8t/ecqVZrk7WZNQ
PMY4r/5R3MuiXShWQU1nl324oEfQ01jWZd2yvppZUhHk9UK/esVkLyp+yT2XLLKi
jdADBhWvYmbGFFjIm47l7EGqT+DsFVwOTbyl0WJwAjQoClJPD7DYfCGmvNAX7QqB
Doz0PaJCwaWHgXhPpNSH5lKqy9k48m257g9jLVf4vilsuCqtOw5kU1PNHkiQneAY
9FK6rx1SCrmKQ/enHU9P
=J7OS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 May 2010 07:36:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:28:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.